%----------------------------------------------------------------------------------------
%	PACKAGES
%----------------------------------------------------------------------------------------

\documentclass{article}
\usepackage[english]{babel}
\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage{lmodern}
\usepackage{microtype}
\usepackage{amsmath}
\usepackage{graphicx}
\usepackage[colorinlistoftodos]{todonotes}
\usepackage{hyperref}
\usepackage{titlesec}
\usepackage{listings}
\usepackage{xcolor}
\usepackage{datetime2}
\usepackage{float}  % Image here [H], top [t], bottom [b] ou page individuelle [p]
\usepackage{algorithm}
\usepackage{algpseudocode}\usepackage{indentfirst}
% New Command: Show only the year
\makeatletter
\newcommand{\yeartoday}{\@dtm@year}
\makeatother

%----------------------------------------------------------------------------------------
%	PDF SETTINGS SECTIONS
%----------------------------------------------------------------------------------------
\hypersetup{
    pdfauthor = {Guillaume Jadin, Anthony Lopes Temporao},
    pdftitle = {Secured System Engineering - First project},
}

%----------------------------------------------------------------------------------------
%	DOCUMENT MARGINS
%----------------------------------------------------------------------------------------
\usepackage{geometry} % Required for adjusting page dimensions and margins

\geometry{
	paper=a4paper, % Paper size, change to letterpaper for US letter size
	top=2.5cm, % Top margin
	bottom=3cm, % Bottom margin
	left=2.5cm, % Left margin
	right=2.5cm, % Right margin
	headheight=14pt, % Header height
	footskip=1.5cm, % Space from the bottom margin to the baseline of the footer
	headsep=1.2cm, % Space from the top margin to the baseline of the header
	%showframe, % Uncomment to show how the type block is set on the page
}

%----------------------------------------------------------------------------------------
%	FORMATS
%----------------------------------------------------------------------------------------
\titleformat*{\section}{\LARGE\bfseries}
\titleformat*{\subsection}{\Large\bfseries}
\titleformat*{\subsubsection}{\large\bfseries}

\begin{document}

\setcounter{secnumdepth}{5}
\setcounter{tocdepth}{5}

\newcommand{\HRule}{\rule{\linewidth}{0.5mm}} % Defines a new command for the horizontal lines, change thickness here

%----------------------------------------------------------------------------------------
%	CUSTOM CODE COLOR SECTION
%----------------------------------------------------------------------------------------
\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{codeorange}{rgb}{0.90,0.30,0.30}
\definecolor{backcolour}{rgb}{0.95,0.95,0.92}

\lstdefinestyle{mystyle}{
    backgroundcolor=\color{backcolour},   
    commentstyle=\color{codegreen},
    keywordstyle=\color{codeorange},
    numberstyle=\tiny\color{codegray},
    stringstyle=\color{codepurple},
    basicstyle=\ttfamily\footnotesize,
    breakatwhitespace=false,         
    breaklines=true,                 
    captionpos=b,                    
    keepspaces=true,                 
    numbers=left,                    
    numbersep=5pt,                  
    showspaces=false,                
    showstringspaces=false,
    showtabs=false,                  
    tabsize=2
}

\lstset{style=mystyle}

%----------------------------------------------------------------------------------------
%	HEADING SECTIONS
%----------------------------------------------------------------------------------------
\begin{titlepage}
\begin{center}
\includegraphics[scale = 0.7]{pictures/UCLouvain_EPL.png}\\[1.2cm]

%----------------------------------------------------------------------------------------
%	TITLE SECTION
%----------------------------------------------------------------------------------------
\HRule \\[0.4cm]
{ \huge \bfseries First Project Report}\\[0.4cm]
{ \huge \bfseries Analysing \& solving 4 security problems}\\[0.4cm]
{ \large \bfseries Group 16}\\[0.4cm]
\HRule \\[1.5cm]
 
%----------------------------------------------------------------------------------------
%	AUTHOR SECTION
%----------------------------------------------------------------------------------------
\begin{center}
    \emph{\textbf{Academic year}: }\\
    \textsc{Sinf2 MS/G}\\
    \textsc{(2022 -- 2023)}\\[1cm]
\end{center}

\begin{minipage}[t]{0.4\textwidth}
\begin{flushleft} \large
\emph{\textbf{Authors}: }\\
Guillaume \textsc{Jadin} [10581800]\\
Anthony \textsc{Lopes Temporao} [70501800]\\
\end{flushleft}
\end{minipage}
~
\begin{minipage}[t]{0.4\textwidth}
\begin{flushright} \large
\emph{\textbf{Course}: }\\
$[$LINFO2144$]$\\
Secured Systems Engineering\\
\end{flushright}
\end{minipage}\\[1cm]

\begin{minipage}[t]{0.4\textwidth}
\begin{flushleft} \large
\emph{\textbf{Teacher}: }\\
Axel \textsc{Legay}\\
\end{flushleft}
\end{minipage}
~
\begin{minipage}[t]{0.4\textwidth}
\begin{flushright} \large
\emph{\textbf{Assistants}: }\\
Charles-Henry \textsc{Bertrand Van Ouytsel}\\
Christophe \textsc{Crochet}\\
\end{flushright}
\end{minipage}\\[2cm]



%----------------------------------------------------------------------------------------
%	DATE SECTION
%----------------------------------------------------------------------------------------
\vfill
{\large \yeartoday}\\[2cm] % Date, change the \today to a set date if you want to be precise
\end{center}
\end{titlepage}

%----------------------------------------------------------------------------------------
%	TABLE OF CONTENTS SECTION
%----------------------------------------------------------------------------------------
\pagenumbering{Roman}
\tableofcontents
\newpage

%----------------------------------------------------------------------------------------
%	DOC SETTINGS SECTION
%----------------------------------------------------------------------------------------
\pagenumbering{arabic}
%\renewcommand{\thesection}{} % Section numbering: remove numbers
%\renewcommand\thesubsection{\arabic{subsection}} % Section numbering: redefined numbers

%----------------------------------------------------------------------------------------
%   DOC
%----------------------------------------------------------------------------------------
\input{content.tex}
\end{document}
